"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const platform_1 = require("../decorator/platform");
const writeFile_1 = require("./writeFile");
const run = function (param, pure = false) {
    return __awaiter(this, void 0, void 0, function* () {
        const extensions = yield platform_1.initPlatformExtension();
        if (extensions[param.type]) {
            const extension = new extensions[param.type](param);
            const list = yield extension.run();
            if (pure) {
                return list;
            }
            const file = writeFile_1.writeFile(list, extension.config.output);
            // 生成文件后的操作
            yield new Promise((res) => setTimeout(() => res(), 2000));
            // 同步后也不是马上？
            yield extension.generateSuccess(file);
            return list;
        }
        else {
            throw new Error('invalid type');
        }
    });
};
exports.run = run;
//# sourceMappingURL=index.js.map