"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
const cheerio_1 = __importDefault(require("cheerio"));
const sitdown_1 = require("sitdown");
const decorator_1 = require("../../decorator");
const platform_1 = require("../../decorator/platform");
const sitdown = new sitdown_1.Sitdown({
    keepFilter: ['style'],
    codeBlockStyle: 'fenced',
    bulletListMarker: '-',
    hr: '---',
});
let Bokeyuan = class Bokeyuan extends base_1.Base {
    constructor() {
        super(...arguments);
        this.headers = {};
    }
    getDetail(url) {
        return __awaiter(this, void 0, void 0, function* () {
            const { data: html } = yield this.axios.get(
            //   `https://www.cnblogs.com/${this.config.userId}/p/${id}.html`
            url);
            const $ = cheerio_1.default.load(html);
            const content = sitdown.HTMLToMD($('#cnblogs_post_body').html());
            const title = $('.postTitle .postTitle2 span').text();
            const date = $('#post-date').text();
            const categories = [];
            $('#BlogPostCategory a').each(function () {
                categories.push($(this).text());
            });
            const tags = [];
            $('#EntryTag a').each(function () {
                tags.push($(this).text());
            });
            return {
                title,
                tags,
                content,
                categories,
                date,
            };
        });
    }
    getMain() {
        return __awaiter(this, void 0, void 0, function* () {
            let page = 1;
            const urls = [];
            while (true) {
                const { data: html } = yield this.axios.get(`https://www.cnblogs.com/${this.config.userId}/default.html?page=${page++}`);
                const $ = cheerio_1.default.load(html);
                const list = $('.postTitle .postTitle2');
                if ((list === null || list === void 0 ? void 0 : list.length) > 0) {
                    list.each(function () {
                        const url = $(this).attr('href');
                        if (url) {
                            urls.push(url);
                        }
                    });
                }
                else {
                    break;
                }
            }
            return urls;
        });
    }
};
__decorate([
    decorator_1.catchCount()
], Bokeyuan.prototype, "getDetail", null);
Bokeyuan = __decorate([
    platform_1.platform('bokeyuan')
], Bokeyuan);
//# sourceMappingURL=index.js.map